Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Jean Delvare <[email-masked]>
Date: Wed, 27 Aug 2008 10:21:31 +0200

On Wed, 27 Aug 2008 09:42:44 +0200, Andreas Ericsson wrote:
> Jean Delvare wrote:
> > On Tue, 26 Aug 2008 18:50:25 +0200, Takashi Iwai wrote:
> >> netpbm has almost 300 in /usr/bin.
> > 
> > Ouch. (I guess I shouldn't have asked.)
> > 
> > Does netpbm do anything convert (ImageMagick) doesn't? I'd be happy to
> > get rid of netpbm.
> > 
> 
> netpbm-progs (the rpm containing all the 320 programs in /usr/bin) is
> required for xmlto to function properly, which in turn is necessary
> to build the git documentation.
> 
> This is on Fedora 9, btw.

On openSuse systems it is required by sax2-gui only. But just because
it is used by these 2 packages doesn't mean that ImageMagick's convert
can't be used instead. Someone would need to check what exactly xmlto
and sax2-gui use in netpbm and whether convert could be used instead.
I'd do if I only I had the time... :/

-- 
Jean Delvare